/* ex1_spec.g
**  
** Prior and global settings
**
*/

dlibrary -a PsZtgSen,PsDtgSen; 

mspec = 3;

if mspec == 1; 

   pi01     = 0.5;   // prior model probability 
   siguu    = 1;     // innovation variance 
   lam1     = 1;     // prior variance for theta M1
   lam2     = 1;     // prior variance for theta M2
   n        = 1000;  // combined sample size 
   sigx1    = sqrt(2);
   sigx2    = sqrt(2);
   tsize    = 2;
   corrx1x2 = 0.2;
                     // covariance matrix for regressors
   sigmaxx  = (sigx1^2 ~ corrx1x2*sigx1*sigx2) | (corrx1x2*sigx1*sigx2 ~ sigx2^2) ;
   thfix_      = 0;
   thfixvalue_ = 0;
   xbar_       = sigx1;
   sbar_       = 2*tsize;


elseif mspec == 2; 

   pi01     = 0.5;   // prior model probability 
   siguu    = 1;     // innovation variance 
   lam1     = 1;     // prior variance for theta M1
   lam2     = 1;     // prior variance for theta M2
   n        = 1000;  // combined sample size 
   sigx1    = sqrt(2);
   sigx2    = sqrt(2);
   tsize    = 2;
   corrx1x2 = 0.2;
                     // covariance matrix for regressors
   sigmaxx  = (sigx1^2 ~ corrx1x2*sigx1*sigx2) | (corrx1x2*sigx1*sigx2 ~ sigx2^2) ;
   thfix_      = 1;
   thfixvalue_ = 3/sqrt(n);
   xbar_       = sigx1;
   sbar_       = 2*tsize;

elseif mspec == 3; 

   pi01     = 0.5;   // prior model probability 
   siguu    = 1;     // innovation variance 
   lam1     = 1;     // prior variance for theta M1
   lam2     = 1;     // prior variance for theta M2
   n        = 1000;  // combined sample size 
   sigx1    = sqrt(2);
   sigx2    = sqrt(2);
   tsize    = 2;
   corrx1x2 = 0.2;
                     // covariance matrix for regressors
   sigmaxx  = (sigx1^2 ~ corrx1x2*sigx1*sigx2) | (corrx1x2*sigx1*sigx2 ~ sigx2^2) ;
   thfix_      = 1;
   thfixvalue_ = 0.5/sqrt(n);
   xbar_       = sigx1;
   sbar_       = 2*tsize;

endif;

mstr = "m" $+ ftos(mspec,"%*.*lf",1,0);
