/* filename:    fig_ex1.g
** description: The program plots the 
**              results
** created:     11/06/01
*/

new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

#include ex1_spec.g; 
#include pathspec.g;

/*  Load Results cond M1
*/
lresults = workpath $+ "\\m2\\results\\simrun2\\ResultscondM1";
open fhresults = ^lresults for read;

Results_condM1 = readr(fhresults,16);
nr   = 10;
ntau = 2;

r_grid_m1true            = reshape(Results_condM1[1,.],ntau,nr)'; 
tau_grid_m1true          = reshape(Results_condM1[2,.],ntau,nr)';
M1preferred_m1true       = reshape(Results_condM1[3,.],ntau,nr)';
M1reportstruth_m1true    = reshape(Results_condM1[4,.],ntau,nr)';
M2reportstruth_m1true    = reshape(Results_condM1[5,.],ntau,nr)';
PMfindsbest_m1true       = reshape(Results_condM1[6,.],ntau,nr)';
PMfindsbestth_m1true     = reshape(Results_condM1[7,.],ntau,nr)';
PMfindsbestmining_m1true = reshape(Results_condM1[8,.],ntau,nr)';
PMprecision_m1true       = reshape(Results_condM1[9,.],ntau,nr)';
PMprecisionth_m1true     = reshape(Results_condM1[10,.],ntau,nr)';
PMprecisionmining_m1true = reshape(Results_condM1[11,.],ntau,nr)';
PMfindsbest_alhon_m1true   = reshape(Results_condM1[12,.],ntau,nr)';
PMfindsbestth_alhon_m1true = reshape(Results_condM1[13,.],ntau,nr)';
PMtotalloss_m1true                = reshape(Results_condM1[14,.],ntau,nr)';
PMtotallossth_m1true              = reshape(Results_condM1[15,.],ntau,nr)';
PMtotallossmining_m1true          = reshape(Results_condM1[16,.],ntau,nr)';                                  

closeall;

/*  Load Results cond M2
*/
lresults = workpath $+ "\\m2\\results\\simrun2\\ResultscondM2";
open fhresults = ^lresults for read;

Results_condM2 = readr(fhresults,16);
nr   = 10;
ntau = 2;

r_grid_m2true            = reshape(Results_condM2[1,.],ntau,nr)'; 
tau_grid_m2true          = reshape(Results_condM2[2,.],ntau,nr)';
M1preferred_m2true       = reshape(Results_condM2[3,.],ntau,nr)';
M1reportstruth_m2true    = reshape(Results_condM2[4,.],ntau,nr)';
M2reportstruth_m2true    = reshape(Results_condM2[5,.],ntau,nr)';
PMfindsbest_m2true       = reshape(Results_condM2[6,.],ntau,nr)';
PMfindsbestth_m2true     = reshape(Results_condM2[7,.],ntau,nr)';
PMfindsbestmining_m2true = reshape(Results_condM2[8,.],ntau,nr)';
PMprecision_m2true       = reshape(Results_condM2[9,.],ntau,nr)';
PMprecisionth_m2true     = reshape(Results_condM2[10,.],ntau,nr)';
PMprecisionmining_m2true = reshape(Results_condM2[11,.],ntau,nr)';
PMfindsbest_alhon_m2true   = reshape(Results_condM2[12,.],ntau,nr)';
PMfindsbestth_alhon_m2true = reshape(Results_condM2[13,.],ntau,nr)';
PMtotalloss_m2true                = reshape(Results_condM2[14,.],ntau,nr)';
PMtotallossth_m2true              = reshape(Results_condM2[15,.],ntau,nr)';
PMtotallossmining_m2true          = reshape(Results_condM2[16,.],ntau,nr)';                                  

closeall;

// Compute integrated risk

PMfindsbest = 0.5*(PMfindsbest_m1true + PMfindsbest_m2true);
PMfindsbestth = 0.5*(PMfindsbestth_m1true + PMfindsbestth_m2true);
PMfindsbestmining = 0.5*(PMfindsbestmining_m1true + PMfindsbestmining_m2true);


PMtotalloss = 0.5*(PMtotalloss_m1true + PMtotalloss_m2true);
PMtotallossth = 0.5*(PMtotallossth_m1true + PMtotallossth_m2true);
PMtotallossmining = 0.5*(PMtotallossmining_m1true + PMtotallossmining_m2true);

/* Plot Results
*/

graphset;
begwind;
margin(0,0,0.2,0.2);
window(1,2,0);
fonts("microb");
_ptitlht = 0.4;
_paxht = 0.3;
_pnumht = 0.4;
_pltype = {6 3 1};
_pcolor = {1 4 2};
_plwidth = 12;
_protate = 0; 
_plctrl = 0;
_psymsiz = 3;
_protate = 0;
_pbox = 0;
_pgrid = (1|0);
// _pline = ( 1 ~ 1 ~ 0 ~ 0 ~ nirfplot ~ 0 ~ 4 ~ 1 );

// Panel 1 - M1 is true

xlabel("Fraction of Estimation Sample r");

//title("Prob. PM Finds Best Model");
xtics(0,1,0.2,2);
ytics(0.5,1.0,0.1,2);
xy( r_grid_m1true[.,1] , PMfindsbestth); 

//nextwind;

//title("Risk Differential");
//xtics(0,1,0.2,2);
//ytics(0,25,5,2);
//xy(r_grid_m1true[.,1], PMtotallossth~ PMtotallossmining[.,1]); 

endwind;

end;
